CompositionPackageImpl (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.model.impl

## Class CompositionPackageImpl

- java.lang.Object
- - tv.amwa.maj.model.impl.InterchangeObjectImpl
  - - tv.amwa.maj.model.impl.PackageImpl
    - - tv.amwa.maj.model.impl.CompositionPackageImpl

- All Implemented Interfaces:
    Serializable, Cloneable, QCompositionPackage, MediaEntity, MetadataObject, WeakReferenceTarget, CompositionPackage, InterchangeObject, Package

      @MediaClass(uuid1=218169601,
                  uuid2=257,
                  uuid3=13568,
                  uuid4={6,14,43,52,2,6,1,1},
                  definedName="CompositionPackage",
                  aliases="CompositionMob",
                  description="The CompositionPackage class specifies how to combine essence elements into a sequence, how to modify essence elements, and how to synchronize essence elements.",
                  symbol="CompositionPackage")
      public class CompositionPackageImpl
      extends PackageImpl
      implements CompositionPackage, QCompositionPackage, Serializable, Cloneable

  Implements a material object that describes how to combine content data elements into a sequence, how to modify content data elements, and how to synchronize content data elements.

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class tv.amwa.maj.model.impl.InterchangeObjectImpl

      `ObjectClassPropertyID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompositionPackageImpl()` Default constructor is not public to avoid unset required fields.
    `CompositionPackageImpl(PackageID packageID, String name)` Creates and initializes a composition package, which specifies how to combine essence elements into a sequence, how to modify essence elements, and how to synchronize essence elements.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendClipEffect(OperationGroup clipEffect)`
    `void` | `clearClipEffects()`
    `PropertyValue` | `clipColourBlue()`
    `CompositionPackage` | `clone()` Create a cloned copy of this interchange object.
    `int` | `countClipEffects()`
    `int` | `getArchiveComposition()`
    `int` | `getArchiveCompositionType()`
    `int` | `getArchiveSetting()`
    `int` | `getClipArchivedDays()`
    `int` | `getClipArchivedHours()`
    `int` | `getClipArchivedMilliseconds()`
    `int` | `getClipArchivedMinutes()`
    `int` | `getClipArchivedMonths()`
    `int` | `getClipArchivedSeconds()`
    `int` | `getClipArchivedYears()`
    `int` | `getClipAudioTracks()`
    `Stream` | `getClipBlob()`
    `String` | `getClipCategory()`
    `PropertyValue` | `getClipColourGreen()`
    `PropertyValue` | `getClipColourRed()`
    `int` | `getClipDestTC()`
    `int` | `getClipDropframe()`
    `int` | `getClipDuration()`
    `OperationGroup` | `getClipEffectAt(int index)`
    `List<OperationGroup>` | `getClipEffects()`
    `int` | `getClipFlag1001()`
    `int` | `getClipFPS()`
    `int` | `getClipHeight()`
    `int` | `getClipInPoint()`
    `Segment` | `getClipKeyRenderSequence()`
    `int` | `getClipModifiedDays()`
    `int` | `getClipModifiedHours()`
    `int` | `getClipModifiedMilliseconds()`
    `int` | `getClipModifiedMinutes()`
    `int` | `getClipModifiedMonths()`
    `int` | `getClipModifiedSeconds()`
    `int` | `getClipModifiedYears()`
    `int` | `getClipOutPoint()`
    `String` | `getClipOwner()`
    `String` | `getClipProject()`
    `Segment` | `getClipRenderSequence()`
    `String` | `getClipType()`
    `int` | `getClipVideoTracks()`
    `int` | `getClipWidth()`
    `PackageID` | `getCompositionRendering()` Returns the package id of a rendering of this composition package, which specifies a mixdown of the composition.
    `String` | `getCompositionRenderingString()`
    `DefaultFade` | `getDefaultFade()` Returns the default fade for this composition package, which specifies the default fade to be applied to all audio source clips that do not specify their own audio fade properties.
    `Rational` | `getDefaultFadeEditUnit()` Returns the edit units used to specify the default fade length of this composition package.
    `String` | `getDefaultFadeEditUnitString()`
    `long` | `getDefaultFadeLength()` Returns the length of this default audio fade of this composition package, measured in the fade's edit units.
    `FadeType` | `getDefaultFadeType()` Returns the type of the default audio fade for this composition package.
    `void` | `prependClipEffect(OperationGroup clipEffect)`
    `void` | `removeClipEffectAt(int index)`
    `void` | `setArchiveComposition(Integer archiveComposition)`
    `void` | `setArchiveCompositionType(Integer archiveCompositionType)`
    `void` | `setArchiveSetting(Integer archiveSetting)`
    `void` | `setClipArchivedDays(Integer clipArchivedDays)`
    `void` | `setClipArchivedHours(Integer clipArchivedHours)`
    `void` | `setClipArchivedMilliseconds(Integer clipArchivedMilliseconds)`
    `void` | `setClipArchivedMinutes(Integer clipArchivedMinutes)`
    `void` | `setClipArchivedMonths(Integer clipArchivedMonths)`
    `void` | `setClipArchivedSeconds(Integer clipArchivedSeconds)`
    `void` | `setClipArchivedYears(Integer clipArchivedYears)`
    `void` | `setClipAudioTracks(Integer clipAudioTracks)`
    `void` | `setClipBlob(Stream clipBlob)`
    `void` | `setClipCategory(String clipCategory)`
    `void` | `setClipColourBlue(PropertyValue clipColourBlue)`
    `void` | `setClipColourGreen(PropertyValue clipColourGreen)`
    `void` | `setClipColourRed(PropertyValue clipColourRed)`
    `void` | `setClipDestTC(Integer clipDestTC)`
    `void` | `setClipDropframe(Integer clipDropframe)`
    `void` | `setClipDuration(Integer clipDuration)`
    `void` | `setClipFlag1001(Integer clipFlag1001)`
    `void` | `setClipFPS(Integer clipFPS)`
    `void` | `setClipHeight(Integer clipHeight)`
    `void` | `setClipInPoint(Integer clipInPoint)`
    `void` | `setClipKeyRenderSequence(Segment clipKeyRenderSequence)`
    `void` | `setClipModifiedDays(Integer clipModifiedDays)`
    `void` | `setClipModifiedHours(Integer clipModifiedHours)`
    `void` | `setClipModifiedMillseconds(Integer clipModifiedMilliseconds)`
    `void` | `setClipModifiedMinutes(Integer clipModifiedMinutes)`
    `void` | `setClipModifiedMonths(Integer clipModifiedMonths)`
    `void` | `setClipModifiedSeconds(Integer clipModifiedSeconds)`
    `void` | `setClipModifiedYears(Integer clipModifiedYears)`
    `void` | `setClipOutPoint(Integer clipOutPoint)`
    `void` | `setClipOwner(String clipOwner)`
    `void` | `setClipProject(String clipProject)`
    `void` | `setClipRenderSequence(Segment clipRenderSequence)`
    `void` | `setClipType(String clipType)`
    `void` | `setClipVideoTracks(Integer clipVideoTracks)`
    `void` | `setClipWidth(Integer clipWidth)`
    `void` | `setCompositionRendering(PackageID packageID)` Set the package id of a rendering of this composition package, which specifies a mixdown of the composition.
    `void` | `setCompositionRenderingString(String compositionRendering)`
    `void` | `setDefaultFade(DefaultFade defaultFade)` Sets the default fade properties for this composition package, which specifies the default fade to be applied to all audio source clips that do not specify their own audio fade properties.
    `void` | `setDefaultFade(long fadeLength, FadeType fadeType, Rational fadeEditUnit)` Sets the default fade properties of this composition package, which specifies the default fade to be applied to all audio source clips that do not specify their own audio fade properties.
    `void` | `setDefaultFadeEditUnit(Rational defaultFadeEditUnit)`
    `void` | `setDefaultFadeEditUnitString(String fadeEditUnit)`
    `void` | `setDefaultFadeLength(Long defaultFadeLength)`
    `void` | `setDefaultFadeType(FadeType defaultFadeType)`

    - ### Methods inherited from class tv.amwa.maj.model.impl.PackageImpl

      `appendMobAttributeItem, appendNewEventTrack, appendNewStaticTrack, appendNewTimelineTrack, appendPackageAttribute, appendPackageAttribute, appendPackageKLVData, appendPackageTrack, appendPackageUserComment, appendPackageUserComment, changeReference, clearMobAttributeList, clearPackageAttributes, clearPackageKLVData, clearPackageTracks, clearPackageUserComments, cloneExternal, copy, countMobAttributeList, countPackageAttributes, countPackageKLVData, countPackageTracks, countPackageUserComments, getAUID, getConvertFrameRate, getCreationTime, getCreationTimeString, getMobAttributeItemAt, getMobAttributeList, getPackageAttributes, getPackageID, getPackageIDString, getPackageKLVData, getPackageLastModified, getPackageLastModifiedString, getPackageName, getPackageTrackAt, getPackageTracks, getPackageUsage, getPackageUsageString, getPackageUserComments, getSubclipBegin, getSubclipFullLength, getWeakTargetReference, initializeCreationTime, initializePackageID, initializePackageLastModified, initializePackageTracks, insertMobAttributeItem, insertPackageTrackAt, lookupPackageTrack, offsetToPackageTimecode, prependMobAttributeItem, prependPackageAttribute, prependPackageKLVData, prependPackageTrack, prependPackageUserComment, removeMobAttributeItemAt, removePackageAttribute, removePackageKLVData, removePackageTrackAt, removePackageUserComment, setConvertFrameRate, setCreationTime, setCreationTimeString, setPackageID, setPackageIDString, setPackageLastModified, setPackageLastModifiedString, setPackageName, setPackageUsage, setPackageUsageString, setSubclipBegin, setSubclipFullLength`

    - ### Methods inherited from class tv.amwa.maj.model.impl.InterchangeObjectImpl

      `addApplicationPlugin, appendXMLChildren, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getComment, getGeneration, getLinkedGenerationID, getLinkedGenerationIDString, getObjectClass, getPersistentID, getPersistentIndex, hashCode, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setLinkedGenerationIDString, setObjectClass, setPersistentID, setPersistentIndex, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.model.Package

      `appendNewEventTrack, appendNewStaticTrack, appendNewTimelineTrack, appendPackageAttribute, appendPackageAttribute, appendPackageKLVData, appendPackageTrack, appendPackageUserComment, appendPackageUserComment, changeReference, clearPackageAttributes, clearPackageKLVData, clearPackageTracks, clearPackageUserComments, cloneExternal, copy, countPackageAttributes, countPackageKLVData, countPackageTracks, countPackageUserComments, getCreationTime, getPackageAttributes, getPackageID, getPackageKLVData, getPackageLastModified, getPackageName, getPackageTrackAt, getPackageTracks, getPackageUsage, getPackageUserComments, insertPackageTrackAt, lookupPackageTrack, offsetToPackageTimecode, prependPackageTrack, removePackageAttribute, removePackageKLVData, removePackageTrackAt, removePackageUserComment, setCreationTime, setPackageID, setPackageLastModified, setPackageName, setPackageUsage`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

    - ### Methods inherited from interface tv.amwa.maj.industry.WeakReferenceTarget

      `getAUID, getWeakTargetReference`

- - ### Constructor Detail

    - #### CompositionPackageImpl

          public CompositionPackageImpl()

      Default constructor is not public to avoid unset required fields.

    - #### CompositionPackageImpl

          public CompositionPackageImpl(PackageID packageID,
                                        @AAFString
                                        String name)
                                 throws NullPointerException

      Creates and initializes a composition package, which specifies how to combine essence elements into a sequence, how to modify essence elements, and how to synchronize essence elements. The required properties of creation time and last modified time will be set automatically to the time of calling this method. These timestamp values can be set manually by calling `setCreateTime()` and and `setModTime()`.

      Parameters:
        `packageID` - Unique material identifier for the new composition package.
        `name` - Name of the new composition package.
      Throws:
        `NullPointerException` - Unique material identifier argument is `null`.

  - ### Method Detail

    - #### getDefaultFade

          public DefaultFade getDefaultFade()
                                     throws PropertyNotPresentException

      Description copied from interface: `CompositionPackage`

      Returns the default fade for this composition package, which specifies the default fade to be applied to all audio source clips that do not specify their own audio fade properties. The default fade properties are optional.

      Specified by:
        `getDefaultFade` in interface `CompositionPackage`
      Returns:
        Default fade for the composition.
      Throws:
        `PropertyNotPresentException` - The optional default fade properties are not present in this composition package.
      See Also:
        `CompositionPackage.getDefaultFadeEditUnit()`, `CompositionPackage.getDefaultFadeLength()`, `CompositionPackage.getDefaultFadeType()`

    - #### setDefaultFade

          public void setDefaultFade(long fadeLength,
                                     FadeType fadeType,
                                     Rational fadeEditUnit)
                              throws BadLengthException

      Description copied from interface: `CompositionPackage`

      Sets the default fade properties of this composition package, which specifies the default fade to be applied to all audio source clips that do not specify their own audio fade properties. The default fade properties are optional and can be omitted by calling this method with `null` for either the fade type or fade edit unit properties.

      Specified by:
        `setDefaultFade` in interface `CompositionPackage`
      Parameters:
        `fadeLength` - Default fade length for the fade.
        `fadeType` - Default fade type for the fade.
        `fadeEditUnit` - Default fade edit unit for the fade.
      Throws:
        `BadLengthException` - Fade length is negative.

    - #### setDefaultFade

          public void setDefaultFade(DefaultFade defaultFade)

      Description copied from interface: `CompositionPackage`

      Sets the default fade properties for this composition package, which specifies the default fade to be applied to all audio source clips that do not specify their own audio fade properties. The default fade properties are optional and can be omitted by calling this method with `null`.

      Specified by:
        `setDefaultFade` in interface `CompositionPackage`
      Parameters:
        `defaultFade` - Default fade properties for this composition package.

    - #### getDefaultFadeLength

          @MediaProperty(uuid1=117572097,
                         uuid2=261,
                         uuid3=256,
                         uuid4={6,14,43,52,1,1,1,2},
                         definedName="DefaultFadeLength",
                         aliases="DefFadeLength",
                         typeName="LengthType",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=17665,
                         symbol="DefaultFadeLength")
          public long getDefaultFadeLength()
                                                                                                                                                                                                                                                                                                                                                                                                                                           throws PropertyNotPresentException

      Description copied from interface: `CompositionPackage`

      Returns the length of this default audio fade of this composition package, measured in the fade's edit units.

      Specified by:
        `getDefaultFadeLength` in interface `CompositionPackage`
      Returns:
        Length of the default audio fade.
      Throws:
        `PropertyNotPresentException`
      See Also:
        `CompositionPackage.getDefaultFadeEditUnit()`, `CompositionPackage.getDefaultFade()`

    - #### setDefaultFadeLength

          @MediaPropertySetter(value="DefaultFadeLength")
          public void setDefaultFadeLength(Long defaultFadeLength)

    - #### getDefaultFadeType

          @MediaProperty(uuid1=87032321,
                         uuid2=0,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,1},
                         definedName="DefaultFadeType",
                         aliases="DefFadeType",
                         typeName="FadeType",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=17666,
                         symbol="DefaultFadeType")
          public FadeType getDefaultFadeType()
                                                                                                                                                                                                                                                                                                                                                                                                                                throws PropertyNotPresentException

      Description copied from interface: `CompositionPackage`

      Returns the type of the default audio fade for this composition package.

      Specified by:
        `getDefaultFadeType` in interface `CompositionPackage`
      Returns:
        Type of this default audio fade.
      Throws:
        `PropertyNotPresentException`
      See Also:
        `CompositionPackage.getDefaultFade()`

    - #### setDefaultFadeType

          @MediaPropertySetter(value="DefaultFadeType")
          public void setDefaultFadeType(FadeType defaultFadeType)

    - #### getDefaultFadeEditUnit

          @MediaProperty(uuid1=87032835,
                         uuid2=0,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,2},
                         definedName="DefaultFadeEditUnit",
                         aliases="DefFadeEditUnit",
                         typeName="Rational",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=17667,
                         symbol="DefaultFadeEditUnit")
          public Rational getDefaultFadeEditUnit()
                                                                                                                                                                                                                                                                                                                                                                                                                                                throws PropertyNotPresentException

      Description copied from interface: `CompositionPackage`

      Returns the edit units used to specify the default fade length of this composition package.

      Specified by:
        `getDefaultFadeEditUnit` in interface `CompositionPackage`
      Returns:
        Edit units used to specify the fade length.
      Throws:
        `PropertyNotPresentException`
      See Also:
        `CompositionPackage.getDefaultFade()`

    - #### setDefaultFadeEditUnit

          @MediaPropertySetter(value="DefaultFadeEditUnit")
          public void setDefaultFadeEditUnit(Rational defaultFadeEditUnit)

    - #### getCompositionRendering

          @MediaProperty(uuid1=100729092,
                         uuid2=266,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,8},
                         definedName="CompositionRendering",
                         aliases={"Rendering","CompositionMobRendering"},
                         typeName="PackageIDType",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=17668,
                         symbol="CompositionRendering")
          public PackageID getCompositionRendering()
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  throws PropertyNotPresentException

      Description copied from interface: `CompositionPackage`

      Returns the package id of a rendering of this composition package, which specifies a mixdown of the composition. The start of the mixdown and the start of the composition are assumed to be co-timed.

      Specified by:
        `getCompositionRendering` in interface `CompositionPackage`
      Returns:
        package id of a rendering of the composition.
      Throws:
        `PropertyNotPresentException` - The optional rendering property is not present in this composition package.

    - #### setCompositionRendering

          @MediaPropertySetter(value="CompositionRendering")
          public void setCompositionRendering(PackageID packageID)

      Description copied from interface: `CompositionPackage`

      Set the package id of a rendering of this composition package, which specifies a mixdown of the composition. The start of the mixdown and the start of the composition are assumed to be co-timed. Set the rendering to `null` to omit this optional property.

      Specified by:
        `setCompositionRendering` in interface `CompositionPackage`
      Parameters:
        `packageID` - Package id for a rendering of this composition package.

    - #### getClipFPS

          @MediaProperty(uuid1=-1581556734,
                         uuid2=3756,
                         uuid3=17263,
                         uuid4={-106,-33,-7,59,21,60,-16,69},
                         definedName="Clip fps",
                         symbol="Clip_fps",
                         aliases="Clip_fps",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
           @Int32
          public int getClipFPS()

      Specified by:
        `getClipFPS` in interface `QCompositionPackage`

    - #### setClipFPS

          @MediaPropertySetter(value="Clip fps")
          public void setClipFPS(@Int32
                                                                        Integer clipFPS)

      Specified by:
        `setClipFPS` in interface `QCompositionPackage`

    - #### getClipType

          @MediaProperty(uuid1=-1389450491,
                         uuid2=-13729,
                         uuid3=19185,
                         uuid4={-108,38,-14,55,110,-48,-50,61},
                         definedName="Clip type",
                         symbol="Clip_type",
                         aliases="Clip_type",
                         typeName="UTF16String",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
          public String getClipType()

      Specified by:
        `getClipType` in interface `QCompositionPackage`

    - #### setClipType

          @MediaPropertySetter(value="Clip type")
          public void setClipType(String clipType)

      Specified by:
        `setClipType` in interface `QCompositionPackage`

    - #### getClipProject

          @MediaProperty(uuid1=-1474634740,
                         uuid2=10516,
                         uuid3=18197,
                         uuid4={-107,-81,29,-63,11,-29,89,102},
                         definedName="Clip project",
                         symbol="Clip_project",
                         aliases="Clip_project",
                         typeName="UTF16String",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
          public String getClipProject()

      Specified by:
        `getClipProject` in interface `QCompositionPackage`

    - #### setClipProject

          @MediaPropertySetter(value="Clip project")
          public void setClipProject(String clipProject)

      Specified by:
        `setClipProject` in interface `QCompositionPackage`

    - #### getClipModifiedMinutes

          @MediaProperty(uuid1=576408084,
                         uuid2=24356,
                         uuid3=18628,
                         uuid4={-69,-26,-95,31,0,17,-111,-119},
                         definedName="Clip modified minutes",
                         symbol="Clip_modified_minutes",
                         aliases="Clip_modified_minutes",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
           @Int32
          public int getClipModifiedMinutes()

      Specified by:
        `getClipModifiedMinutes` in interface `QCompositionPackage`

    - #### setClipModifiedMinutes

          @MediaPropertySetter(value="Clip modified minutes")
          public void setClipModifiedMinutes(@Int32
                                                                                                 Integer clipModifiedMinutes)

      Specified by:
        `setClipModifiedMinutes` in interface `QCompositionPackage`

    - #### getClipModifiedMonths

          @MediaProperty(uuid1=2039046687,
                         uuid2=27182,
                         uuid3=18081,
                         uuid4={-93,101,-94,-82,86,77,12,14},
                         definedName="Clip modified months",
                         symbol="Clip_modified_months",
                         aliases="Clip_modified_months",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
           @Int32
          public int getClipModifiedMonths()

      Specified by:
        `getClipModifiedMonths` in interface `QCompositionPackage`

    - #### setClipModifiedMonths

          @MediaPropertySetter(value="Clip modified months")
          public void setClipModifiedMonths(@Int32
                                                                                               Integer clipModifiedMonths)

      Specified by:
        `setClipModifiedMonths` in interface `QCompositionPackage`

    - #### getClipAudioTracks

          @MediaProperty(uuid1=2123909680,
                         uuid2=-18718,
                         uuid3=19766,
                         uuid4={-72,52,83,104,119,116,-90,-32},
                         definedName="Clip audio tracks",
                         symbol="Clip_audio_tracks",
                         aliases="Clip_audio_tracks",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
           @Int32
          public int getClipAudioTracks()

      Specified by:
        `getClipAudioTracks` in interface `QCompositionPackage`

    - #### setClipAudioTracks

          @MediaPropertySetter(value="Clip audio tracks")
          public void setClipAudioTracks(@Int32
                                                                                         Integer clipAudioTracks)

      Specified by:
        `setClipAudioTracks` in interface `QCompositionPackage`

    - #### getArchiveCompositionType

          @MediaProperty(uuid1=1569365553,
                         uuid2=-10268,
                         uuid3=19501,
                         uuid4={-109,-67,19,15,-126,14,-103,44},
                         definedName="Archive composition type",
                         symbol="Archive_composition_type",
                         aliases="Archive_composition_type",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
           @Int32
          public int getArchiveCompositionType()

      Specified by:
        `getArchiveCompositionType` in interface `QCompositionPackage`

    - #### setArchiveCompositionType

          @MediaPropertySetter(value="Archive composition type")
          public void setArchiveCompositionType(@Int32
                                                                                                       Integer archiveCompositionType)

      Specified by:
        `setArchiveCompositionType` in interface `QCompositionPackage`

    - #### getClipKeyRenderSequence

          @MediaProperty(uuid1=-1450402759,
                         uuid2=16903,
                         uuid3=19212,
                         uuid4={-75,-128,77,78,108,-36,-1,-11},
                         definedName="Clip key render sequence",
                         symbol="Clip_key_render_sequence",
                         aliases="Clip_key_render_sequence",
                         typeName="SegmentStrongReference",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
          public Segment getClipKeyRenderSequence()

      Specified by:
        `getClipKeyRenderSequence` in interface `QCompositionPackage`

    - #### setClipKeyRenderSequence

          @MediaPropertySetter(value="Clip key render sequence")
          public void setClipKeyRenderSequence(Segment clipKeyRenderSequence)

      Specified by:
        `setClipKeyRenderSequence` in interface `QCompositionPackage`

    - #### getClipEffects

          @MediaProperty(uuid1=-1019497411,
                         uuid2=4799,
                         uuid3=19398,
                         uuid4={-68,-19,64,71,-10,26,14,-119},
                         definedName="Clip effects",
                         symbol="Clip_effects",
                         aliases="Clip_effects",
                         typeName="OperationGroupStrongReferenceVariableArray",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
          public List<OperationGroup> getClipEffects()
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   throws PropertyNotPresentException

      Specified by:
        `getClipEffects` in interface `QCompositionPackage`
      Throws:
        `PropertyNotPresentException`

    - #### appendClipEffect

          @MediaListAppend(value="Clip effects")
          public void appendClipEffect(OperationGroup clipEffect)
                                                                       throws NullPointerException

      Specified by:
        `appendClipEffect` in interface `QCompositionPackage`
      Throws:
        `NullPointerException`

    - #### getClipEffectAt

          @MediaListGetAt(value="Clip effects")
          public OperationGroup getClipEffectAt(int index)
                                                                               throws IndexOutOfBoundsException

      Specified by:
        `getClipEffectAt` in interface `QCompositionPackage`
      Throws:
        `IndexOutOfBoundsException`

    - #### clearClipEffects

          @MediaPropertyClear(value="Clip effects")
          public void clearClipEffects()

      Specified by:
        `clearClipEffects` in interface `QCompositionPackage`

    - #### countClipEffects

          @MediaPropertyCount(value="Clip effects")
          public int countClipEffects()

      Specified by:
        `countClipEffects` in interface `QCompositionPackage`

    - #### prependClipEffect

          @MediaListPrepend(value="Clip effects")
          public void prependClipEffect(OperationGroup clipEffect)

      Specified by:
        `prependClipEffect` in interface `QCompositionPackage`

    - #### removeClipEffectAt

          @MediaListRemoveAt(value="ClipEffects")
          public void removeClipEffectAt(int index)
                                                                          throws IndexOutOfBoundsException

      Specified by:
        `removeClipEffectAt` in interface `QCompositionPackage`
      Throws:
        `IndexOutOfBoundsException`

    - #### getClipModifiedHours

          @MediaProperty(uuid1=209158207,
                         uuid2=-12659,
                         uuid3=17329,
                         uuid4={-103,-9,21,110,-111,3,121,-67},
                         definedName="Clip modified hours",
                         symbol="Clip_modified_hours",
                         aliases="Clip_modified_hours",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
           @Int32
          public int getClipModifiedHours()

      Specified by:
        `getClipModifiedHours` in interface `QCompositionPackage`

    - #### setClipModifiedHours

          @MediaPropertySetter(value="Clip modified hours")
          public void setClipModifiedHours(@Int32
                                                                                             Integer clipModifiedHours)

      Specified by:
        `setClipModifiedHours` in interface `QCompositionPackage`

    - #### getClipDropframe

          @MediaProperty(uuid1=-778629298,
                         uuid2=21522,
                         uuid3=18470,
                         uuid4={-88,-102,53,3,-69,26,117,13},
                         definedName="Clip dropframe",
                         symbol="Clip_dropframe",
                         aliases="Clip_dropframe",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
           @Int32
          public int getClipDropframe()

      Specified by:
        `getClipDropframe` in interface `QCompositionPackage`

    - #### setClipDropframe

          @MediaPropertySetter(value="Clip dropframe")
          public void setClipDropframe(@Int32
                                                                                    Integer clipDropframe)

      Specified by:
        `setClipDropframe` in interface `QCompositionPackage`

    - #### getClipDuration

          @MediaProperty(uuid1=-613852076,
                         uuid2=13830,
                         uuid3=18667,
                         uuid4={-119,36,77,-126,21,-31,84,-79},
                         definedName="Clip duration",
                         symbol="Clip_duration",
                         aliases="Clip_duration",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
           @Int32
          public int getClipDuration()

      Specified by:
        `getClipDuration` in interface `QCompositionPackage`

    - #### setClipDuration

          @MediaPropertySetter(value="Clip durationClip duration")
          public void setClipDuration(@Int32
                                                                                               Integer clipDuration)

      Specified by:
        `setClipDuration` in interface `QCompositionPackage`

    - #### getClipModifiedYears

          @MediaProperty(uuid1=-2079951781,
                         uuid2=15040,
                         uuid3=17378,
                         uuid4={-108,-13,95,-70,-94,45,8,33},
                         definedName="Clip modified years",
                         symbol="Clip_modified_years",
                         aliases="Clip_modified_years",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
           @Int32
          public int getClipModifiedYears()

      Specified by:
        `getClipModifiedYears` in interface `QCompositionPackage`

    - #### setClipModifiedYears

          @MediaPropertySetter(value="Clip modified years")
          public void setClipModifiedYears(@Int32
                                                                                             Integer clipModifiedYears)

      Specified by:
        `setClipModifiedYears` in interface `QCompositionPackage`

    - #### getClipModifiedMilliseconds

          @MediaProperty(uuid1=-1104073380,
                         uuid2=28761,
                         uuid3=18624,
                         uuid4={-115,43,13,-48,94,-126,121,-61},
                         definedName="Clip modified milliseconds",
                         symbol="Clip_modified_milliseconds",
                         aliases="Clip_modified_milliseconds",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
           @Int32
          public int getClipModifiedMilliseconds()

      Specified by:
        `getClipModifiedMilliseconds` in interface `QCompositionPackage`

    - #### setClipModifiedMillseconds

          @MediaPropertySetter(value="Clip modified milliseconds")
          public void setClipModifiedMillseconds(@Int32
                                                                                                          Integer clipModifiedMilliseconds)

      Specified by:
        `setClipModifiedMillseconds` in interface `QCompositionPackage`

    - #### getClipWidth

          @MediaProperty(uuid1=1035201637,
                         uuid2=12400,
                         uuid3=17510,
                         uuid4={-102,127,-114,23,69,-86,74,106},
                         definedName="Clip width",
                         symbol="Clip_width",
                         aliases="Clip_width",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
           @Int32
          public int getClipWidth()

      Specified by:
        `getClipWidth` in interface `QCompositionPackage`

    - #### setClipWidth

          @MediaPropertySetter(value="Clip width")
          public void setClipWidth(@Int32
                                                                            Integer clipWidth)

      Specified by:
        `setClipWidth` in interface `QCompositionPackage`

    - #### getClipVideoTracks

          @MediaProperty(uuid1=460627814,
                         uuid2=23282,
                         uuid3=18160,
                         uuid4={-126,-44,7,-32,-97,56,79,-113},
                         definedName="Clip video tracks",
                         symbol="Clip_video_tracks",
                         aliases="Clip_video_tracks",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
           @Int32
          public int getClipVideoTracks()

      Specified by:
        `getClipVideoTracks` in interface `QCompositionPackage`

    - #### setClipVideoTracks

          @MediaPropertySetter(value="Clip video tracks")
          public void setClipVideoTracks(@Int32
                                                                                         Integer clipVideoTracks)

      Specified by:
        `setClipVideoTracks` in interface `QCompositionPackage`

    - #### getClipBlob

          @MediaProperty(uuid1=1981868648,
                         uuid2=-5355,
                         uuid3=16478,
                         uuid4={-114,-69,-29,-100,-120,-31,-91,-26},
                         definedName="Clip blob",
                         symbol="Clip_blob",
                         aliases="Clip_blob",
                         typeName="Stream",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
          public Stream getClipBlob()

      Specified by:
        `getClipBlob` in interface `QCompositionPackage`

    - #### setClipBlob

          @MediaPropertySetter(value="Clip blob")
          public void setClipBlob(Stream clipBlob)

      Specified by:
        `setClipBlob` in interface `QCompositionPackage`

    - #### getClipColourGreen

          @MediaProperty(uuid1=1637900400,
                         uuid2=26590,
                         uuid3=18063,
                         uuid4={-107,-67,-53,-20,-7,-79,101,-35},
                         definedName="Clip colour green",
                         symbol="Clip_colour_green",
                         aliases="Clip_colour_green",
                         typeName="Indirect",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
          public PropertyValue getClipColourGreen()

      Specified by:
        `getClipColourGreen` in interface `QCompositionPackage`

    - #### setClipColourGreen

          @MediaPropertySetter(value="Clip colour green")
          public void setClipColourGreen(PropertyValue clipColourGreen)

      Specified by:
        `setClipColourGreen` in interface `QCompositionPackage`

    - #### getClipArchivedYears

          @MediaProperty(uuid1=456269940,
                         uuid2=-17444,
                         uuid3=17404,
                         uuid4={-103,5,-85,-128,-58,-70,1,-83},
                         definedName="Clip archived years",
                         symbol="Clip_archived_years",
                         aliases="Clip_archived_years",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
           @Int32
          public int getClipArchivedYears()

      Specified by:
        `getClipArchivedYears` in interface `QCompositionPackage`

    - #### setClipArchivedYears

          @MediaPropertySetter(value="Clip archived years")
          public void setClipArchivedYears(@Int32
                                                                                             Integer clipArchivedYears)

      Specified by:
        `setClipArchivedYears` in interface `QCompositionPackage`

    - #### getClipHeight

          @MediaProperty(uuid1=159516281,
                         uuid2=-1679,
                         uuid3=18243,
                         uuid4={-79,-73,-89,-26,-62,-103,-47,86},
                         definedName="Clip height",
                         symbol="Clip_height",
                         aliases="Clip_height",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
           @Int32
          public int getClipHeight()

      Specified by:
        `getClipHeight` in interface `QCompositionPackage`

    - #### setClipHeight

          @MediaPropertySetter(value="Clip height")
          public void setClipHeight(@Int32
                                                                              Integer clipHeight)

      Specified by:
        `setClipHeight` in interface `QCompositionPackage`

    - #### getClipInPoint

          @MediaProperty(uuid1=-1753807224,
                         uuid2=-12320,
                         uuid3=18337,
                         uuid4={-81,-63,122,56,69,70,94,-76},
                         definedName="Clip in point",
                         symbol="Clip_in_point",
                         aliases="Clip_in_point",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
           @Int32
          public int getClipInPoint()

      Specified by:
        `getClipInPoint` in interface `QCompositionPackage`

    - #### setClipInPoint

          @MediaPropertySetter(value="Clip in point")
          public void setClipInPoint(@Int32
                                                                                 Integer clipInPoint)

      Specified by:
        `setClipInPoint` in interface `QCompositionPackage`

    - #### getClipArchivedHours

          @MediaProperty(uuid1=1263851673,
                         uuid2=288,
                         uuid3=19336,
                         uuid4={-113,-19,31,92,56,48,121,52},
                         definedName="Clip archived hours",
                         symbol="Clip_archived_hours",
                         aliases="Clip_archived_hours",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
           @Int32
          public int getClipArchivedHours()

      Specified by:
        `getClipArchivedHours` in interface `QCompositionPackage`

    - #### setClipArchivedHours

          @MediaPropertySetter(value="Clip archived hours")
          public void setClipArchivedHours(@Int32
                                                                                             Integer clipArchivedHours)

      Specified by:
        `setClipArchivedHours` in interface `QCompositionPackage`

    - #### getClipArchivedMonths

          @MediaProperty(uuid1=1719601825,
                         uuid2=12999,
                         uuid3=17809,
                         uuid4={-80,-50,-35,87,-14,3,72,88},
                         definedName="Clip archived months",
                         symbol="Clip_archived_months",
                         aliases="Clip_archived_months",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
           @Int32
          public int getClipArchivedMonths()

      Specified by:
        `getClipArchivedMonths` in interface `QCompositionPackage`

    - #### setClipArchivedMonths

          @MediaPropertySetter(value="Clip archived months")
          public void setClipArchivedMonths(@Int32
                                                                                               Integer clipArchivedMonths)

      Specified by:
        `setClipArchivedMonths` in interface `QCompositionPackage`

    - #### getClipRenderSequence

          @MediaProperty(uuid1=-1668525915,
                         uuid2=20084,
                         uuid3=18490,
                         uuid4={-115,19,27,116,41,66,117,63},
                         definedName="Clip render sequence",
                         symbol="Clip_render_sequence",
                         aliases="Clip_render_sequence",
                         typeName="SegmentStrongReference",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
          public Segment getClipRenderSequence()

      Specified by:
        `getClipRenderSequence` in interface `QCompositionPackage`

    - #### setClipRenderSequence

          @MediaPropertySetter(value="Clip render sequence")
          public void setClipRenderSequence(Segment clipRenderSequence)

      Specified by:
        `setClipRenderSequence` in interface `QCompositionPackage`

    - #### getClipArchivedMinutes

          @MediaProperty(uuid1=1860221869,
                         uuid2=-32293,
                         uuid3=18813,
                         uuid4={-65,59,90,29,-54,-100,101,-53},
                         definedName="Clip archived minutes",
                         symbol="Clip_archived_minutes",
                         aliases="Clip_archived_minutes",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
           @Int32
          public int getClipArchivedMinutes()

      Specified by:
        `getClipArchivedMinutes` in interface `QCompositionPackage`

    - #### setClipArchivedMinutes

          @MediaPropertySetter(value="Clip archived minutes")
          public void setClipArchivedMinutes(@Int32
                                                                                                 Integer clipArchivedMinutes)

      Specified by:
        `setClipArchivedMinutes` in interface `QCompositionPackage`

    - #### getClipColourRed

          @MediaProperty(uuid1=-401965137,
                         uuid2=-19202,
                         uuid3=17982,
                         uuid4={-107,7,6,-57,-69,-77,25,-108},
                         definedName="Clip colour red",
                         symbol="Clip_colour_red",
                         aliases="Clip_colour_red",
                         typeName="Indirect",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
          public PropertyValue getClipColourRed()

      Specified by:
        `getClipColourRed` in interface `QCompositionPackage`

    - #### setClipColourRed

          @MediaPropertySetter(value="Clip colour red")
          public void setClipColourRed(PropertyValue clipColourRed)

      Specified by:
        `setClipColourRed` in interface `QCompositionPackage`

    - #### getClipModifiedDays

          @MediaProperty(uuid1=-1875158083,
                         uuid2=-24754,
                         uuid3=20081,
                         uuid4={-102,-65,36,-100,105,-103,-44,117},
                         definedName="Clip modified days",
                         symbol="Clip_modified_days",
                         aliases="Clip_modified_days",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
           @Int32
          public int getClipModifiedDays()

      Specified by:
        `getClipModifiedDays` in interface `QCompositionPackage`

    - #### setClipModifiedDays

          @MediaPropertySetter(value="Clip modified days")
          public void setClipModifiedDays(@Int32
                                                                                           Integer clipModifiedDays)

      Specified by:
        `setClipModifiedDays` in interface `QCompositionPackage`

    - #### getClipModifiedSeconds

          @MediaProperty(uuid1=114416585,
                         uuid2=330,
                         uuid3=20194,
                         uuid4={-113,32,75,49,22,-65,-85,21},
                         definedName="Clip modified seconds",
                         symbol="Clip_modified_seconds",
                         aliases="Clip_modified_seconds",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
           @Int32
          public int getClipModifiedSeconds()

      Specified by:
        `getClipModifiedSeconds` in interface `QCompositionPackage`

    - #### setClipModifiedSeconds

          @MediaPropertySetter(value="Clip modified seconds")
          public void setClipModifiedSeconds(@Int32
                                                                                                 Integer clipModifiedSeconds)

      Specified by:
        `setClipModifiedSeconds` in interface `QCompositionPackage`

    - #### getClipDestTC

          @MediaProperty(uuid1=-1097602103,
                         uuid2=-14513,
                         uuid3=18096,
                         uuid4={-102,-31,91,60,-70,-3,25,103},
                         definedName="Clip dest tc",
                         symbol="Clip_dest_tc",
                         aliases="Clip_dest_tc",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
           @Int32
          public int getClipDestTC()

      Specified by:
        `getClipDestTC` in interface `QCompositionPackage`

    - #### setClipDestTC

          @MediaPropertySetter(value="Clip dest tc")
          public void setClipDestTC(@Int32
                                                                               Integer clipDestTC)

      Specified by:
        `setClipDestTC` in interface `QCompositionPackage`

    - #### getClipArchivedDays

          @MediaProperty(uuid1=654856652,
                         uuid2=-17038,
                         uuid3=16901,
                         uuid4={-121,5,-43,-115,-21,-67,25,-112},
                         definedName="Clip archived days",
                         symbol="Clip_archived_days",
                         aliases="Clip_archived_days",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
           @Int32
          public int getClipArchivedDays()

      Specified by:
        `getClipArchivedDays` in interface `QCompositionPackage`

    - #### setClipArchivedDays

          @MediaPropertySetter(value="Clip archived days")
          public void setClipArchivedDays(@Int32
                                                                                           Integer clipArchivedDays)

      Specified by:
        `setClipArchivedDays` in interface `QCompositionPackage`

    - #### clipColourBlue

          @MediaProperty(uuid1=672861661,
                         uuid2=-324,
                         uuid3=18969,
                         uuid4={-65,-26,9,-36,71,84,52,-112},
                         definedName="Clip colour blue",
                         symbol="Clip_colour_blue",
                         aliases="Clip_colour_blue",
                         typeName="Indirect",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
          public PropertyValue clipColourBlue()
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   throws PropertyNotPresentException

      Specified by:
        `clipColourBlue` in interface `QCompositionPackage`
      Throws:
        `PropertyNotPresentException`

    - #### setClipColourBlue

          @MediaPropertySetter(value="Clip colour blue")
          public void setClipColourBlue(PropertyValue clipColourBlue)

      Specified by:
        `setClipColourBlue` in interface `QCompositionPackage`

    - #### getArchiveSetting

          @MediaProperty(uuid1=355409374,
                         uuid2=-27114,
                         uuid3=19778,
                         uuid4={-76,22,69,-114,-76,57,102,19},
                         definedName="Archive setting",
                         symbol="Archive_setting",
                         aliases="Archive_setting",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
           @Int32
          public int getArchiveSetting()

      Specified by:
        `getArchiveSetting` in interface `QCompositionPackage`

    - #### setArchiveSetting

          @MediaPropertySetter(value="Archive setting")
          public void setArchiveSetting(@Int32
                                                                                      Integer archiveSetting)

      Specified by:
        `setArchiveSetting` in interface `QCompositionPackage`

    - #### getClipArchivedSeconds

          @MediaProperty(uuid1=-1476062751,
                         uuid2=-408,
                         uuid3=17464,
                         uuid4={-65,-28,-22,38,120,-2,50,59},
                         definedName="Clip archived seconds",
                         symbol="Clip_archived_seconds",
                         aliases="Clip_archived_seconds",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
           @Int32
          public int getClipArchivedSeconds()

      Specified by:
        `getClipArchivedSeconds` in interface `QCompositionPackage`

    - #### setClipArchivedSeconds

          @MediaPropertySetter(value="Clip archived seconds")
          public void setClipArchivedSeconds(@Int32
                                                                                                 Integer clipArchivedSeconds)

      Specified by:
        `setClipArchivedSeconds` in interface `QCompositionPackage`

    - #### getClipOutPoint

          @MediaProperty(uuid1=-429142044,
                         uuid2=-19983,
                         uuid3=18769,
                         uuid4={-114,-5,-128,115,19,-27,-2,-65},
                         definedName="Clip out point",
                         symbol="Clip_out_point",
                         aliases="Clip_out_point",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
           @Int32
          public int getClipOutPoint()

      Specified by:
        `getClipOutPoint` in interface `QCompositionPackage`

    - #### setClipOutPoint

          @MediaPropertySetter(value="Clip out point")
          public void setClipOutPoint(@Int32
                                                                                   Integer clipOutPoint)

      Specified by:
        `setClipOutPoint` in interface `QCompositionPackage`

    - #### getClipFlag1001

          @MediaProperty(uuid1=-1980515865,
                         uuid2=-28875,
                         uuid3=18341,
                         uuid4={-127,-102,-46,18,-127,64,-62,-69},
                         definedName="Clip flag1001",
                         symbol="Clip_flag1001",
                         aliases="Clip_flag1001",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
           @Int32
          public int getClipFlag1001()

      Specified by:
        `getClipFlag1001` in interface `QCompositionPackage`

    - #### setClipFlag1001

          @MediaPropertySetter(value="Clip flag1001")
          public void setClipFlag1001(@Int32
                                                                                  Integer clipFlag1001)

      Specified by:
        `setClipFlag1001` in interface `QCompositionPackage`

    - #### getClipArchivedMilliseconds

          @MediaProperty(uuid1=632708080,
                         uuid2=-30209,
                         uuid3=18979,
                         uuid4={-75,-40,60,-126,-26,-4,-62,58},
                         definedName="Clip archived milliseconds",
                         symbol="Clip_archived_milliseconds",
                         aliases="Clip_archived_milliseconds",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
           @Int32
          public int getClipArchivedMilliseconds()

      Specified by:
        `getClipArchivedMilliseconds` in interface `QCompositionPackage`

    - #### setClipArchivedMilliseconds

          @MediaPropertySetter(value="Clip archived milliseconds")
          public void setClipArchivedMilliseconds(@Int32
                                                                                                           Integer clipArchivedMilliseconds)

      Specified by:
        `setClipArchivedMilliseconds` in interface `QCompositionPackage`

    - #### getArchiveComposition

          @MediaProperty(uuid1=1933828085,
                         uuid2=-26685,
                         uuid3=18144,
                         uuid4={-100,-53,84,55,72,10,-82,42},
                         definedName="Archive composition",
                         symbol="Archive_composition",
                         aliases="Archive_composition",
                         typeName="Int32",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
           @Int32
          public int getArchiveComposition()

      Specified by:
        `getArchiveComposition` in interface `QCompositionPackage`

    - #### setArchiveComposition

          @MediaPropertySetter(value="Archive composition")
          public void setArchiveComposition(@Int32
                                                                                              Integer archiveComposition)

      Specified by:
        `setArchiveComposition` in interface `QCompositionPackage`

    - #### getClipCategory

          @MediaProperty(uuid1=675586806,
                         uuid2=-2467,
                         uuid3=20109,
                         uuid4={-72,-36,113,-41,45,64,-117,117},
                         definedName="Clip category",
                         symbol="Clip_category",
                         aliases="Clip_category",
                         typeName="UTF16String",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
          public String getClipCategory()

      Specified by:
        `getClipCategory` in interface `QCompositionPackage`

    - #### setClipCategory

          @MediaPropertySetter(value="Clip category")
          public void setClipCategory(String clipCategory)

      Specified by:
        `setClipCategory` in interface `QCompositionPackage`

    - #### getClipOwner

          @MediaProperty(uuid1=1100851452,
                         uuid2=31503,
                         uuid3=19082,
                         uuid4={-73,6,-54,-76,76,104,-69,62},
                         definedName="Clip owner",
                         symbol="Clip_owner",
                         aliases="Clip_owner",
                         typeName="UTF16String",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         prefix="q",
                         namespace="http://www.quantel.com/genQ/extensions")
          public String getClipOwner()

      Specified by:
        `getClipOwner` in interface `QCompositionPackage`

    - #### setClipOwner

          @MediaPropertySetter(value="Clip owner")
          public void setClipOwner(String clipOwner)

      Specified by:
        `setClipOwner` in interface `QCompositionPackage`

    - #### clone

          public CompositionPackage clone()

      Description copied from interface: `InterchangeObject`

      Create a cloned copy of this interchange object.

      Specified by:
        `clone` in interface `MediaEntity`
      Specified by:
        `clone` in interface `CompositionPackage`
      Specified by:
        `clone` in interface `InterchangeObject`
      Specified by:
        `clone` in interface `Package`
      Overrides:
        `clone` in class `PackageImpl`
      Returns:
        Cloned copy of this interchange object.

    - #### getDefaultFadeEditUnitString

          public String getDefaultFadeEditUnitString()

    - #### setDefaultFadeEditUnitString

          public void setDefaultFadeEditUnitString(String fadeEditUnit)

    - #### getCompositionRenderingString

          public String getCompositionRenderingString()

    - #### setCompositionRenderingString

          public void setCompositionRenderingString(String compositionRendering)

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.